/**
 * This file is part of
 * 
 * Replicating Solidarity Evolution (ReSolEvo) 0.9
 *
 * Copyright (C) 2010 Center for Environmental Systems Research, Kassel, Germany
 * 
 * ReSolEvo is free software: you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *  
 * ReSolEvo is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Created by Sascha Holzhauer on 07.01.2010
 */
package de.cesr.resolevo.testing;



import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import repast.simphony.context.Context;
import repast.simphony.context.DefaultContext;
import de.cesr.resolevo.ReSolEvoAgentContext;
import de.cesr.resolevo.ReSolEvoParameterManager;
import de.cesr.resolevo.agents.ReSolEvoAgent;
import de.cesr.resolevo.util.ReSolEvoParameterDB;



/**
 * 
 * @author Sascha Holzhauer
 * @date 22.02.2010
 * 
 */
public class ReSolEvoContextBuilderTest {

	ReSolEvoAgentContext		cBuilder;
	Context<ReSolEvoAgent>		context;

	ReSolEvoParameterManager	paraMan	= ReSolEvoParameterDB.getInstance();

	/**
	 * @throws java.lang.Exception
	 *             Created by Sascha Holzhauer on 22.02.2010
	 */
	@Before
	public void setUp() throws Exception {
		cBuilder = new ReSolEvoAgentContext();
		context = new DefaultContext<ReSolEvoAgent>();
	}

	/**
	 * @throws java.lang.Exception
	 *             Created by Sascha Holzhauer on 22.02.2010
	 */
	@After
	public void tearDown() throws Exception {
	}

	/**
	 * 
	 * Created by Sascha Holzhauer on 22.02.2010
	 */
	@Test
	public void testCreateAgents() {

	}

	/**
	 * 
	 * Created by Sascha Holzhauer on 22.02.2010
	 */
	@Test
	public void testConnectAgents() {
		cBuilder.createAgents(context);
		cBuilder.connectAgents(context);
		// TODO
		/*
		 * for (ReSolEvoAgent agent : context .getObjects(ReSolEvoAgent.class)) { assertEquals(
		 * "Every agent has NUM_NOTICED_AGENTS neigbours in networkN", paraMan.getParameter(Parameter.MEMORY_NUM_NOTICED_AGENTS),
		 * cBuilder.getNetworkN().getAdjacent(agent)); }
		 */

	}

}
